svn commit: r329810 - head/tools/boot

Kyle Evans kevans at FreeBSD.org
Thu Feb 22 04:28:53 UTC 2018


Author: kevans
Date: Thu Feb 22 04:28:52 2018
New Revision: 329810
URL: https://svnweb.freebsd.org/changeset/base/329810

Log:
  Add script for linting stand/lua to tools/boot.
  
  We require some --globals due to custom loader extensions in our
  environment. Add everything required for this to tools/boot so that other
  interested parties can get up and go with linting our scripts and not get a
  bunch of false-positives.

Added:
  head/tools/boot/lua-lint.sh   (contents, props changed)

Added: head/tools/boot/lua-lint.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/tools/boot/lua-lint.sh	Thu Feb 22 04:28:52 2018	(r329810)
@@ -0,0 +1,19 @@
+#!/bin/sh
+# $FreeBSD$
+
+# Run linter on the lua scripts in stand/lua. luacheck, not currently available
+# in ports, must be installed as a dependency.
+
+die() {
+    echo $*
+    exit 1
+}
+
+LUACHECK=$(which luacheck)
+
+[ ! -z "${LUACHECK}" ] && [ -e "${LUACHECK}" ] || \
+	die "You must have luacheck installed and in your PATH"
+
+cd $(make -V SRCTOP)/stand
+${LUACHECK} . --globals loader --globals lfs --globals io.getchar \
+	--globals io.ischar --std lua53


More information about the svn-src-all mailing list